/*
 * $Id$
 */

package npanday.model.netdependency;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class NetDependency implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private String id;

    /**
     * Field groupId
     */
    private String groupId;

    /**
     * Field version
     */
    private String version;

    /**
     * Field artifactId
     */
    private String artifactId;

    /**
     * Field type
     */
    private String type;

    /**
     * Field profile
     */
    private String profile;

    /**
     * Field publicKeyToken
     */
    private String publicKeyToken;

    /**
     * Field isGacInstall
     */
    private boolean isGacInstall = false;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get 
     */
    public String getArtifactId()
    {
        return this.artifactId;
    } //-- String getArtifactId() 

    /**
     * Get 
     */
    public String getGroupId()
    {
        return this.groupId;
    } //-- String getGroupId() 

    /**
     * Get 
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get 
     */
    public String getProfile()
    {
        return this.profile;
    } //-- String getProfile() 

    /**
     * Get The public key of the assembly.
     */
    public String getPublicKeyToken()
    {
        return this.publicKeyToken;
    } //-- String getPublicKeyToken() 

    /**
     * Get 
     */
    public String getType()
    {
        return this.type;
    } //-- String getType() 

    /**
     * Get 
     *           
     */
    public String getVersion()
    {
        return this.version;
    } //-- String getVersion() 

    /**
     * Get True if the framework should install the net dependency
     * in the GAC, otherwise false.
     */
    public boolean isIsGacInstall()
    {
        return this.isGacInstall;
    } //-- boolean isIsGacInstall() 

    /**
     * Set 
     * 
     * @param artifactId
     */
    public void setArtifactId(String artifactId)
    {
        this.artifactId = artifactId;
    } //-- void setArtifactId(String) 

    /**
     * Set 
     * 
     * @param groupId
     */
    public void setGroupId(String groupId)
    {
        this.groupId = groupId;
    } //-- void setGroupId(String) 

    /**
     * Set 
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set True if the framework should install the net dependency
     * in the GAC, otherwise false.
     * 
     * @param isGacInstall
     */
    public void setIsGacInstall(boolean isGacInstall)
    {
        this.isGacInstall = isGacInstall;
    } //-- void setIsGacInstall(boolean) 

    /**
     * Set 
     * 
     * @param profile
     */
    public void setProfile(String profile)
    {
        this.profile = profile;
    } //-- void setProfile(String) 

    /**
     * Set The public key of the assembly.
     * 
     * @param publicKeyToken
     */
    public void setPublicKeyToken(String publicKeyToken)
    {
        this.publicKeyToken = publicKeyToken;
    } //-- void setPublicKeyToken(String) 

    /**
     * Set 
     * 
     * @param type
     */
    public void setType(String type)
    {
        this.type = type;
    } //-- void setType(String) 

    /**
     * Set 
     *           
     * 
     * @param version
     */
    public void setVersion(String version)
    {
        this.version = version;
    } //-- void setVersion(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
